## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XStringReferenceAllocator Class Reference

List of all members.

## Public Types

- typedef XStringReference string_type
- typedef ReusableArenaAllocator<
  string_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XStringReferenceAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XStringReferenceAllocator ()
- string_type * createString (const XalanDOMString &theString)
    Create an XStringReference object from a string.
- bool destroy (string_type *theString)
    Delete an XStringReference object from allocator.
- bool ownsObject (const string_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XStringReference objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ReusableArenaAllocator<string_type> XStringReferenceAllocator::ArenaAllocatorType

typedef ArenaAllocatorType::size_type XStringReferenceAllocator::size_type

typedef XStringReference XStringReferenceAllocator::string_type

## Constructor & Destructor Documentation

XStringReferenceAllocator::XStringReferenceAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XStringReferenceAllocator::~XStringReferenceAllocator | ( |  | ) |

## Member Function Documentation

string_type* XStringReferenceAllocator::createString | ( | const XalanDOMString & | theString | ) |

Create an XStringReference object from a string.

Parameters:

  theString | source string

Returns:
  a pointer to string

bool XStringReferenceAllocator::destroy | ( | string_type * | theString | ) |

| Delete an XStringReference object from allocator.

size_type XStringReferenceAllocator::getBlockCount | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XStringReferenceAllocator::getBlockSize | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

bool XStringReferenceAllocator::ownsObject | ( | const string_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XStringReferenceAllocator::reset | ( |  | ) |

| Delete all XStringReference objects from allocator.

The documentation for this class was generated from the following file:

- XStringReferenceAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.